@charset "UTF-8";

@import url(https://cdn.jsdelivr.net/gh/moonspam/NanumSquare@2.0/nanumsquare.css);
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css");

/* Fonts */
:root {
  --default-font: "NanumSquare", system-ui, -apple-system, Roboto, Arial, "Noto Sans", "Noto Color Emoji";
  --heading-font: "NanumSquare",  sans-serif;
  --nav-font: "NanumSquare",  sans-serif;
}

/* Colors */
:root {
  --background-color: #ffffff; /*배경색*/
  --default-color: #000000; /*글자색*/
  --heading-color: #000000; /* 제목,소제 */
  --accent-color: #12cc12; /* 포인트 그린 */
  --foint-color: #375380; /* 포인트 블루 */
  --surface-color: #f5f5f5; /* 박스배경 */
  --contrast-color: #ffffff; /* 텍스트대비색상 */
}

/* 탐색메뉴색상 */
:root {
  --nav-color: #000000;  /* 메뉴기본색 */
  --nav-hover-color: #12cc12; /* 메뉴오버.활성 색 */
  --nav-mobile-background-color: #ffffff; /* 모바일 네비 배경색 */
  --nav-dropdown-background-color: #ffffff; /* 드롭다운배경색 */
  --nav-dropdown-color: #ffffff; /* 드롭다운 메뉴색 */
  --nav-dropdown-hover-color: #12cc12; /* 드롭다운메뉴오버색 */
}

/* 컬러설정 */
.contact-background {
  --background-color: #fdfff5; /* 고객문의배경 */
}

.light-background {
  --background-color: #f5f5f7;
  --surface-color: #ffffff;
}

.dark-background {
  --background-image:url(./img/mainbg-img.png);
  --background-color: #3a5e90; /* 메인배경색 */
  --default-color: #ffffff;
  --heading-color: #ffffff;
  --surface-color: #43c9d4;
  --contrast-color: #ffffff;
}

/* Smooth scroll */
:root {
  scroll-behavior: smooth;
}

/*--------------------------------------------------------------
# General Styling & Shared Classes
--------------------------------------------------------------*/
body {
  color: var(--default-color);
  background-color: var(--background-color);
  font-family: var(--default-font);
}

a {
  color: var(--accent-color);
  text-decoration: none;
  transition: 0.3s;
}

a:hover {
  color: color-mix(in srgb, var(--accent-color), transparent 25%);
  text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--heading-color);
  font-family: var(--heading-font);
}

@media all and (min-width:360px) and (max-width:922px) {
    .container, .container-md, .container-sm {
        max-width: 100%;
    }
}
/*--------------------------------------------------------------
# Global Header
--------------------------------------------------------------*/

.header {
  --background-color: #ffffff;
  --heading-color: #000000;
  color: var(--default-color);
  background-color: var(--background-color);
  padding: 15px 50px;
  transition: all 0.5s;
  z-index: 9999;
}

.header .logo {
  line-height: 1;
}

.header .logo img {
  max-height: 50px;
  margin-right: 8px;
}

.header .logo h1 {
  font-size: 30px;
  margin: 0;
  font-weight: 500;
  color: var(--heading-color);
  letter-spacing: 2px;
  text-transform: uppercase;
}

.header .btn-getstarted,
.header .btn-getstarted:focus {
  font-size: 14px;
  padding: 0px 0px;
  margin: 0 0 0 30px;
  border: 0px solid var(--contrast-color);
  border-color: #12cc12;
  border-radius: 6px;
  transition: 0.3s;
}

.header .btn-getstarted:hover,
.header .btn-getstarted:focus:hover {
  color: var(--contrast-color);
  background: color-mix(in srgb, var(--accent-color), transparent 15%);
}

@media (max-width: 1200px) {
  .header {
    padding: 15px 0;
  }

  .header .logo {
    order: 1;
  }

  .header .btn-getstarted {
    order: 2;
    margin: 0 15px 0 0;
    padding: 0px 0px;
  }

  .header .navmenu {
    order: 3;
  }
}

/* Index Page Header
------------------------------*/
.index-page .header {
  --background-color: rgba(255, 255, 255, 0);
  --heading-color: #000000;
  --nav-color: #000000;
}

/* Index Page Header on Scroll
------------------------------*/
.index-page.scrolled .header {
  --background-color: rgba(255, 255, 255, 0.97);
}

/*--------------------------------------------------------------
# Navigation Menu
--------------------------------------------------------------*/
/* 기본 navmenu 구조 */
.navmenu {
  padding: 0;
  z-index: 9997;
}

.navmenu ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  align-items: center;
}

.navmenu li {
  position: relative;
  display: flex;
  align-items: center;
}

.navmenu a {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 18px 15px;
  font-size: 15px;
  font-family: var(--nav-font);
  color: var(--nav-color);
  transition: 0.3s;
  white-space: nowrap;
}

.navmenu a:hover,
.navmenu .active {
  color: var(--nav-hover-color);
}

/* 모바일 메뉴 */
@media (max-width: 1199px) {
  .mobile-nav-toggle {
    font-size: 28px;
    margin-right: 10px;
    cursor: pointer;
    color: var(--nav-color);

  }

  .navmenu ul {
    flex-direction: column;
    position: absolute;
    inset: 60px 20px auto 20px;
    background-color: var(--nav-mobile-background-color);
    border-radius: 6px;
    box-shadow: 0 0 30px rgba(0, 0, 0, 0);
    padding: 20px 0;
    z-index: 9998;
    display: none;
  }

  .mobile-nav-active .navmenu > ul {
    display: block;
    height: 85%;
    overflow-y: auto;
  }

  .mobile-nav-active {
    overflow: hidden;
  }

  .mobile-nav-active .navmenu {
    position: fixed;
    inset: 0;
    background: rgba(33, 37, 41, 0.8);
  }
}

.navmenu li {
    justify-content: center;  /* 각 li 내부 가운데 정렬 */
    width: 100%;
  }

  .lang-select-wrap {
    justify-content: center;
    width: 100%;
  }

/* 언어 선택 셀렉트박스 */
.lang-select-wrap {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.lang-select {
  position: relative;
  display: inline-block;
}

.lang-select select {
  -webkit-appearance: none;
  appearance: none;
  border: 1px solid var(--default-color);
  background-color: transparent;
  color: var(--default-color);
  font-size: 1.1rem;
  font-weight: 500;
  padding: 4px 30px 4px 8px;
  border-radius: 3px;
  cursor: pointer;
  outline: none; /* 포커스 테두리 제거 */
  max-width: 100px;
  box-sizing: border-box;
}

/* iOS 사파리 오버시 테두리 제거 */
.lang-select select:focus {
  outline: none;
  box-shadow: none;
  border-color: var(--default-color);
}

.lang-select select option {
  background-color: white;
  color: #000000;
  max-width: 100px;
}

/* FontAwesome 화살표 추가 */
.lang-select::after {
  content: "\f078"; /* fa-chevron-down */
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
  color: var(--default-color);
  font-size: 0.8rem;
}

/* 반응형 */
@media (max-width: 768px) {


  .lang-select select {
    font-size: 1rem;
    padding: 6px 30px 6px 8px;
  }
}



/*--------------------------------------------------------------
# Global Footer
--------------------------------------------------------------*/
footer {
  color: var(--default-color);
  background-color: var(--background-color);
  font-size: 0.9rem;
  padding: 1rem;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  text-align: center;
  flex-wrap: wrap;
}

.footer .footer-top {
  padding-top: 50px;
}

.footer-logo {
  padding-top: 2px;
  margin-right: 2rem;
}

.footer-info {
  text-align: left;
  max-width: 75%;
}

.footer-info p {
  margin: 0;
  padding: 0;
}

.testsm {
  font-size: 12px;
}

.footer-info p span {
  margin-right: 0.5rem;
}

.invisible-footer-text {
  opacity: 0 !important;
  pointer-events: none !important;
  user-select: none !important;
  font-size: 0 !important;
}

.spanding {
  margin-right: 0;
}

@media (max-width: 914px) {
  footer {
    justify-content: flex-start;
    font-size: 1rem;
  }

  .footer-logo {
    margin: 0 0 2rem 0;
    padding: 0;
  }

  .footer-info {
    text-align: left;
    max-width: 100%;
  }

}

@media (max-width: 735px) {

  .spanding {
    padding-right: 3.2rem;
  }
}


/*--------------------------------------------------------------
# Preloader
--------------------------------------------------------------*/
#preloader {
  position: fixed;
  inset: 0;
  z-index: 999999;
  overflow: hidden;
  background: var(--background-color);
  transition: all 0.6s ease-out;
}

#preloader:before {
  content: "";
  position: fixed;
  top: calc(50% - 30px);
  left: calc(50% - 30px);
  border: 6px solid #ffffff;
  border-color: var(--accent-color) transparent var(--accent-color) transparent;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  animation: animate-preloader 1.5s linear infinite;
}

@keyframes animate-preloader {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

/*--------------------------------------------------------------
# Scroll Top Button
--------------------------------------------------------------*/
.scroll-top {
  position: fixed;
  visibility: hidden;
  opacity: 0;
  right: 15px;
  bottom: -15px;
  z-index: 99999;
  background-color: var(--accent-color);
  width: 44px;
  height: 44px;
  border-radius: 50px;
  transition: all 0.4s;
}

.scroll-top i {
  font-size: 24px;
  color: var(--contrast-color);
  line-height: 0;
}

.scroll-top:hover {
  background-color: color-mix(in srgb, var(--accent-color), transparent 20%);
  color: var(--contrast-color);
}

.scroll-top.active {
  visibility: visible;
  opacity: 1;
  bottom: 15px;
}

/*--------------------------------------------------------------
# Disable aos animation delay on mobile devices
--------------------------------------------------------------*/
@media screen and (max-width: 768px) {
  [data-aos-delay] {
    transition-delay: 0 !important;
  }
}

/*--------------------------------------------------------------
# Global Page Titles & Breadcrumbs
--------------------------------------------------------------*/
.page-title {
  color: var(--default-color);
  background-color: var(--background-color);
  padding-top: 40px;
  position: relative;
}

.page-title h1 {
  font-size: 28px;
  font-weight: 700;
  margin-left: 10px;
}

.page-title .breadcrumbs ol {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  align-content: normal;
  justify-content: flex-end;
  align-items: baseline;
  font-size: 14px;
  margin: 0;
}

.page-title .breadcrumbs ol li+li {
  padding-left: 10px;
}

.page-title .breadcrumbs ol li+li::before {
  content: "/";
  display: inline-block;
  padding-right: 10px;
  color: color-mix(in srgb, var(--default-color), transparent 70%);
}

@media (max-width: 768px) {


}

/*--------------------------------------------------------------
# Global Sections
--------------------------------------------------------------*/
section,
.section {
  color: var(--default-color);
  background-color: var(--background-color);
  padding: 50px 0;
  scroll-margin-top: 88px;
  overflow: clip;
}

@media (max-width: 768px) {
  section,
  .section {
    scroll-margin-top: 66px;

  }
}

/*--------------------------------------------------------------
# Global Section Titles
--------------------------------------------------------------*/
.section-title {
  text-align: center;
  padding-bottom: 0px;
  position: relative;
}

.section-title h2 {
  font-size: 32px;
  font-weight: 700;
  text-transform: uppercase;
  position: relative;
}


.section-title p {
  margin-top: 20px;
  margin-bottom: 60px;
}

@media (max-width: 768px) {
  .section-title p {
    margin-top: 20px;
    margin-bottom: 30px;
  }

  .section-title h2 {
    padding-bottom: 0;
  }
}
/*--------------------------------------------------------------
# Hero Section
--------------------------------------------------------------*/

.hero-background {
  width:100%;
  height: 0;
  background-image: url("../img/mainbg-img2.png");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  padding-top: calc((920/1920)*100%);
}

.hero {
  width: 100%;
  height: 100%;
  min-height: 92vh;
  position: relative;
  padding: 120px 0 60px 0;
  display: flex;
  align-items: center;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: center;
  margin: 0 auto;
  text-align: center;
}


.hero img {
  max-inline-size: 100%;
  block-size: auto;
  object-fit: cover;
  object-position: top center;
}


.overlay {
  text-align: center;
}

.overlay h1 {
  opacity: 0;
  transition: opacity 1s ease, transform 1s ease;
  margin-bottom: 80px;
}

.engh1 {
  padding: 0 10px;
  margin-bottom: 50px !important;
}

.overlay h2 {
  opacity: 0;
  transition: opacity 1s ease, transform 1s ease;
  margin-bottom: 36px;

}

.overlay h3 {
  opacity: 0;
  transition: opacity 1s ease, transform 1s ease;
  margin-bottom: 50px;
}

.hero .btn-get-started {
  color: var(--default-color);
  background: var(--contrast-color);
  font-family: var(--heading-font);
  font-weight: 900;
  font-size: 18px;
  letter-spacing: 1px;
  display: inline-block;
  padding: 12px 20px 10px 20px;
  border-radius: 50px;
  border: 3px solid, var(--contrast-color);
  transition: 0.1s;
  opacity: 0;
  transition: opacity 1s ease, transform 1s ease;
}

.hero .btn-get-started:hover {
  color: var(--contrast-color);
  padding: 15px 20px 13px 20px;
  background: transparent;
  border: transparent;
}

/* 애니메이션 클래스 */
.fade-down {
  transform: translateY(-30px);
  animation: fadeDown 1s ease forwards;
}
.fade-up {
  transform: translateY(30px);
  animation: fadeUp 1s ease forwards;
}

/* 각 요소별 딜레이 */
.text1 {
  animation-delay: 0.5s;
}
.text2 {
  animation-delay: 0.8s;
}
.text3 {
  animation-delay: 1.5s;
}
.btn-get-started {
  animation-delay: 1.5s;
}

/* 애니메이션 정의 */
@keyframes fadeDown {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes fadeUp {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* 반응형 */
@media (max-width: 768px) {
  h1 {
    font-size: 2rem;
    margin-bottom: 0;
    padding: 0;
      }
  h2 {
    font-size: 1.2rem;
    padding: 0 20px;
  }
  h3 {
    font-size: 1rem;
    padding: 0 20px;
  }
  .button {
    font-size: 0.9rem;
    padding: 10px 20px;
  }
}

/*--------------------------------------------------------------
# Portfolio Section
--------------------------------------------------------------*/


@media (max-width: 640px) {

  .hero h1 {
    font-size: 28px;
    line-height: 36px;
  }

  .hero p {
    font-size: 18px;
    line-height: 24px;
    margin-bottom: 30px;
  }

  .hero .btn-get-started,
  .hero .btn-watch-video {
    font-size: 13px;
  }
}

@keyframes up-down {
  0% {
    transform: translateY(10px);
  }

  100% {
    transform: translateY(-10px);
  }
}


/*--------------------------------------------------------------
# About Section
--------------------------------------------------------------*/

.company-topimg {
  width: 100%;
  min-height: 33vh;
  position: relative;
  padding: 120px 0 60px 0;
  display: flex;
  align-items: center;
}

.company-topimg .company-background {
  width:100%;
  height: 0;
  background-image: url("../img/company/top-img.jpg");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  padding-top: calc((330/1920)*100%);

}

.about-content {
  padding: 80px 0 0;
  text-align: center;
	margin: 0;
  width: 100%;
	height: 100%;
}

@media (max-width: 1199px) {
  .about-content {
    padding: 40px 0;
  }
}
@media (max-width: 768px){
  .about-content {
    padding: 0;
  }
}

/*--------------------------------------------------------------
# 오시는길 Section
--------------------------------------------------------------*/
.work-process .container {
  margin-bottom: 60px;
}

.work-process .steps-item {
  background: var(--surface-color);
  border-radius: 0;
  height: 100%;
  transition: all 0.3s ease-in-out;
}

.work-process .steps-item .steps-image {
  border-radius: 0 0;
  overflow: hidden;
  padding: 15px;
}

.work-process .steps-item:hover {
  transform: translateY(-10px);
}

.work-process .steps-item:hover .steps-number {
  background: var(--accent-color);
  color: var(--contrast-color);
}

.work-process .steps-item:hover .steps-image img {
  transform: scale(1.1);
}

.work-process .steps-image {
  position: relative;
  height: 280px;
}

.work-process .steps-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.6s ease;
}

.work-process .steps-content {
  position: relative;
  padding: 30px 20px;
  text-align: left;
  max-width: 100%;
}

.work-process .steps-content h3 {
  font-size: 24px;
  font-weight: 700;
  margin-bottom: 15px;
  padding-left: 0px;
}

.work-process .steps-content p {
  font-size: 16px;
  color: color-mix(in srgb, var(--default-color), transparent 20%);
  margin-bottom: 25px;
}

.work-process .steps-features .feature-item {
  display: flex;
  align-items: center;
  margin-bottom: 12px;
}

.work-process .steps-features .feature-item:last-child {
  margin-bottom: 0;
}

.work-process .steps-features .feature-item i {
  color: var(--accent-color);
  font-size: 18px;
  margin-right: 10px;
}

.work-process .steps-features .feature-item span {
  font-size: 14px;
  color: color-mix(in srgb, var(--default-color), transparent 15%);
}

@media (max-width: 1199px) {
  .work-process .container {
    max-width: 100%;
  }

  .work-process .steps-image {
    height: 240px;
  }

  .work-process .steps-content {
    padding: 30px 20px;
  }

  .work-process .steps-content h3 {
    font-size: 22px;
  }
}

@media (max-width: 991px) {
  .work-process .container {
    max-width: 100%;
  }

  .work-process .steps-item {
    margin-bottom: 30px;
  }

  .work-process .steps-image {
    height: 220px;
  }

  .work-process .steps-content {
    padding: 30px 20px;
  }

  .work-process .steps-content h3 {
    font-size: 22px;
    margin-bottom: 12px;
  }

  .work-process .steps-content p {
    font-size: 16px;
    margin-bottom: 20px;
  }
}


/*--------------------------------------------------------------
# Portfolio Section
--------------------------------------------------------------*/

.portfolio {
  padding: 80px 0;
  margin: 0 auto;
  list-style: none;
  text-align: center;
}


.hero-section {
  background-image: linear-gradient(to bottom, #d8d8d6, #e5e5e5, #f8f8f8, #f9f9f9);
  text-align: center;
  padding: 80px 20px;
  position: relative;
}

.hero-content h1 {
    margin-bottom: 25px;
}

.hero-content p {
  font-size: 1.45rem;
  letter-spacing: -1.5px;
  font-weight: 500;
  margin-bottom: 0;
  color: #000000;
}

.hero-image-wrapper {
  position: relative;
  display: inline-block;
  margin-top: 30px;
}

.hero-image-wrapper img {
  width: 100%;
  max-height: 281px;
  object-fit: contain;
  margin-top: 100px;
}

.hero-image-wrapper button {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  background: var(--accent-color);
  color: white;
  border: none;
  padding: 10px 20px 8px 20px;
  font-size: 1.2rem;
  font-weight: 700;
  letter-spacing: 1;
  border-radius: 50px;
  cursor: pointer;
  margin-bottom: 0;
  transition: background-color 0.3s;
}

/* product img list*/
.product-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr); /* 두 개씩 */
  gap: 22px;
  padding: 20px;
}

.product-card {
  background-image: linear-gradient(to bottom, #d8d8d6, #e5e5e5, #f8f8f8, #f9f9f9);
  padding: 80px 20px 50px 20px;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.card-bg-1 {
  background-image: linear-gradient(to bottom, #d8d8d6, #e5e5e5, #f8f8f8, #f9f9f9);
}

.card-bg-2 {
  background-image: linear-gradient(to bottom, #ddeef8, #e6f1f8, #f6f8f8, #f9f9f9);
}

.card-bg-3 {
  background-image: linear-gradient(to bottom, #eafff5, #f0fdf7, #f6faf8, #f9f9f9);
}

.card-bg-4 {
  background-image: linear-gradient(to bottom, #b5b8c9, #c2c5d7, #cfd3e5, #d7dbec);

}
/*.product-card {
  background-image: linear-gradient(to bottom, #ddeef8, #e6f1f8, #f6f8f8, #f9f9f9);
  padding: 80px 0 50px 0;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}
*/
.product-card h3 {
  margin-bottom: 20px;
}

.product-card p {
  font-size: 1.45rem;
  letter-spacing: -1.5px;
  font-weight: 500;
  margin-bottom: 20px;
  color: #000000;
}

.product-card button {
  background: var(--accent-color);
  color: white;
  border: none;
  padding: 10px 20px 8px 20px;
  font-size: 1rem;
  font-weight: 700;
  letter-spacing: 0px;
  border-radius: 50px;
  cursor: pointer;
  margin-bottom: 40px;
  transition: background-color 0.3s;

}

.product-card img {
  width: 100%;
  max-height: 260px;
  object-fit: contain;
}

/* 모바일 최적화 */

@media (max-width: 768px) {
  .portfolio {
    padding: 0;
  }
  .product-grid {
    grid-template-columns: 1fr;
  }

  .hero-content h1 {
    font-size: 2rem;
  }

  .hero-content p {
    font-size: 1rem;
  }

  .hero-image-wrapper img {
    max-width: 90%;
  }
}



/*--------------------------------------------------------------
# Contact Section
--------------------------------------------------------------*/

.contact-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 20px;
  background: #fefef4;
  padding: 0 20px;
  max-width: 1200px;
  margin: 0 auto; /* 가운데 정렬 */
}

.contact-box {
  display: flex;
  align-items: center;
  gap: 15px;
  margin-right: 40px;
}

.icon {
  width: 42px;
  height: 42px;
  border-radius: 50%;
  color: #fff;
  font-size: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.mt-2 {
  margin-top: 0.46rem !important;
}

.green {
  background-color: #12cc12;
}

.blue {
  background-color: #375380;
}

.contact-box h3 {
  padding: 0;
  font-size: 20px;
  font-weight: 700;

}
.contact-box p {
  padding: 0;
  margin-top: 0;
  font-size: 16px;
  margin-bottom: 0;
}
.text {
  font-size: 14px;
  color: #333;
}

/* PC화면 (768px 이상)에서 수평 정렬 및 중앙 정렬 */
@media (min-width: 768px) {
  .contact-container {
    max-width: 100%;
    flex-direction: row;
    justify-content: center; /* 가로 중앙 정렬 */
    align-items: flex-start;
  }
}

.contact .info-wrap {
  box-shadow: 0px 0px 20px rgba(0, 0, 0, 0);
  border-top: 0px solid var(--accent-color);
  border-bottom: 0px solid var(--accent-color);
  padding: 30px;
  height: 100%;
}

@media (max-width: 575px) {
  .contact .info-wrap {
    padding: 20px;
  }
}

.contact .info-item {
  margin-bottom: 40px;
}

.contact .info-item i {
  font-size: 20px;
  color: var(--contrast-color);
  width: 42px;
  height: 42px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50px;
  transition: all 0.3s ease-in-out;
  margin-right: 15px;
}

.contact .info-item .tel {
  background: var(--foint-color);
  }

  .contact .info-item span {
    margin-bottom: -51px;
    }

.contact .info-item h3 {
  padding: 0;
  font-size: 20px;
  font-weight: 700;
  margin-bottom: 5px;
}

.contact .info-item h4 {
  padding: 0;
  font-size: 18px;
  font-weight: 700;
  padding-top: 0;
  padding-bottom: 30px;
}
.contact .info-item h4 {
  padding: 80px;
  margin-top: 30px;
  font-size: 18px;
}

.contact .info-item p {
  padding: 0;
  margin-top: 0;
  font-size: 16px;
  margin-bottom: 0;
}

.contact .info-item:hover i {
  background: var(--accent-color);
  color: var(--contrast-color);
}

.contact .info-item:hover tel {
  background: var(--foint-color);
}


/*--------------------------------------------------------------
# Portfolio Details Section
--------------------------------------------------------------*/
.portfolio-details .portfolio-details-slider img {
  width: 100%;
}

.portfolio-details .portfolio-details-slider .swiper-pagination {
  margin-top: 20px;
  position: relative;
}

.portfolio-details .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet {
  width: 12px;
  height: 12px;
  background-color: color-mix(in srgb, var(--default-color), transparent 85%);
  opacity: 1;
}

.portfolio-details .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet-active {
  background-color: var(--accent-color);
}

.portfolio-details .portfolio-info {
  background-color: var(--surface-color);
  padding: 30px;
  box-shadow: 0px 0 30px rgba(0, 0, 0, 0.1);
}

.portfolio-details .portfolio-info h3 {
  font-size: 22px;
  font-weight: 700;
  margin-bottom: 20px;
  padding-bottom: 20px;
  border-bottom: 1px solid color-mix(in srgb, var(--default-color), transparent 85%);
}

.portfolio-details .portfolio-info ul {
  list-style: none;
  padding: 0;
  font-size: 15px;
}

.portfolio-details .portfolio-info ul li+li {
  margin-top: 10px;
}

.portfolio-details .portfolio-description {
  padding-top: 30px;
}

.portfolio-details .portfolio-description h2 {
  font-size: 26px;
  font-weight: 700;
  margin-bottom: 20px;
}

.portfolio-details .portfolio-description p {
  padding: 0;
  color: color-mix(in srgb, var(--default-color), transparent 30%);
}

/*--------------------------------------------------------------
# Portfolio-bags Section
--------------------------------------------------------------*/

/*--------- 왼쪽메뉴  --------------- */
.portfolio-details .vertical-menu {
  width: 100%;
  background-color: var(--contrast-color);
  padding: 0;
  margin-right: 50px;
  margin-bottom: 30px;
}

.menu-button a{
  color: var(--default-color);
}

.menu-item {
  border-bottom: 1px solid color-mix(in srgb, var(--default-color), transparent 85%);
  width: 85%;
}

.menu-button {
  display: block;
  width: 100%;
  padding: 16px 12px 14px 12px;
  background-color: #ffffff;
  border: none;
  text-align: left;
  cursor: pointer;
  font-weight: 600;
  font-size: 20px;
  text-decoration: none;
  box-sizing: border-box;
}

.menu-eng {
  font-size: 16px;
  font-weight: 400;
  letter-spacing: -0.5px;
}


/* 호버 효과 */
.menu-item a {
  color: var(--default-color);
}

.menu-button:hover {
  color: var(--default-color);
  background-color: #ffffff;
}

.menu-button.active {
  background-color: #fffff;
  color: var(--foint-color);
}

.menu-button.active2 {
  background-color: #fffff;
  color: var(--accent-color);
}

.linkin {
  color: var(--foint-color);
}

/* 하위 메뉴 스타일 */
.submenu {
  display: none;
  list-style: none;
  padding: 0;
  margin: 0;
  background-color: #ffffff;
  margin-bottom: 10px;
}

.menu-item.open .submenu {
  display: block;
}

.submenu.open {
  max-height: 100%; /* 충분히 큰 값으로 설정*/
  opacity: 1;
  margin-bottom: 10px;
  font-family: var(--nav-font);
  font-size: 16px;
}


.submenu.active {
  display: block;
}

.submenu li {
  padding: 10px 15px;
  cursor: pointer;
}

.submenu li a {
  color: var(--default-color);
  display: block;
}

.submenu li .active {
  color: var(--accent-color);

}

.submenu li.active a{
  color: var(--accent-color);
    font-weight: 600;
}

.submenu li:hover {
  background-color: #ffffff;
 }

.submenu li a:hover {
  color: var(--accent-color);
}


/* 모바일용 셀렉트 기본 숨김 */
    #mobileMenu {
      display: none;
      width: 100%;
      margin: 10px 0;
      padding: 12px;
      font-size: 16px;
      border: 1px solid #d2d2d7;
      border-radius: 6px;
      box-sizing: border-box;
      margin-bottom: 40px;
    }

/* 모바일 화면에서만 select 표시하고 기존 메뉴 숨김 */
    @media screen and (max-width: 991px) {
      #originalMenu {
        display: none;
      }
      #mobileMenu {
        display: block;
        outline: none;
      }
    }

/*--------- 제품섬네일갤러리  --------------- */
.viewer {
width: 100%;      /* 고정 폭 */
    /* 고정 높이 */
border: 1px solid #d2d2d7;
margin: 0 auto 20px;
padding: 0;
overflow: hidden;  /* 넘치는 이미지 잘림 방지 */
}

.viewer img {
width: 100%;
height: 100%;
object-fit: contain; /* 또는 'cover' */
display: block;
}

.thumbnails-wrapper {
width: 100%;
margin: 0 auto;
display: flex;
align-items: center;
gap: 10px;
border: 1px solid #d2d2d7;
}

.arrow {
font-size: 24px;
cursor: pointer;
user-select: none;
margin: 0 10px;
}

.thumbnails {
flex: 1;
overflow: hidden;
}

.thumbnails-inner {
  display: flex;
  gap: 4px; /* js에서 계산할 때 같은 값 사용 */
  transition: transform 0.3s ease;
}

.thumbnail {
flex: 0 0 calc(100% / 3); /* 3.5개만 보이도록 */
cursor: pointer;
padding: 10px;
box-sizing: border-box;
cursor: pointer;
}

.thumbnail img {
width: 100%;
height: 80px;
object-fit: cover;
display: block;
border: 1px solid transparent;
}

.thumbnail.active img{
border-color: #d2d2d7;
}

@media (max-width: 768px) {
  .viewer {
  width: 100%;
  height: 250px;
}

  .thumbnails-wrapper {
  width: 100%;
}

.thumbnail img {
  height: 60px;
}
}


/*----- 제품소개 메인 styles------ */


.sub-container {
  max-width: 100%;
  margin: 0 auto;

}

.sub-main {
  display: flex;
  flex-wrap: wrap;
  border-left: 1px solid #d2d2d7;
}

.sub-item {
  border: 1px solid #d2d2d7;
  border-left: none;
  padding: 40px 50px;
  text-align: center;
  width: 100%; /* 기본: 모바일 */
  background-color: #fff;
}

.itempad {
  padding: 40px 20px;
}

.sub-item-top {
  border-top: none;
}

.sub-item img {
  width: 100%;
  height: 200px;
  object-fit: contain;
}

.sub-item p {
  margin-top: 30px;
  font-size: 17px;
  word-break: keep-all;
  white-space: normal;
}

/* 태블릿: 2개씩 */
@media (min-width: 600px) {
  .sub-item {
    width: 50%;
  }
}

/* PC: 4개씩 */
@media (min-width: 1024px) {
  .sub-item {
    width: 25%;
  }

  .item2 {
    padding: 40px 30px !important;
  }
}

    /*----- table styles------ */
    .text-center {
      text-align: center !important;
    }
    .text-center h2 {
      margin-bottom: 40px;
    }
    .text-center h2 img {
      margin-bottom: 0;
    }
    table {
        border-collapse: collapse;
        border-top: 2px solid #d2d2d7;
        border-bottom: 2px solid #d2d2d7;
        text-align: left;
        width: 100%;
    }
    table tr {
        background: #ffffff;
        border-bottom: 1px solid #d2d2d7;
        line-height: 1.7em;
    }
    table th {
        vertical-align: top;
        text-align: center;
        width: 20%;
        background: #f9f9f9;
        border-bottom: 1px solid #d2d2d7;
    }
    table th, table td {
        padding: 12px 0 12px 10px;
        letter-spacing: -0.2px;
    }
    table td .textdot {
        font-size: 10px;
        font-weight: bold;
        padding-right: 5px;
        position:relative;
        overflow-wrap: break-word;

    }

    /* Simple CSS for flexbox table on mobile */
    @media(max-width: 768px) {
      .text-center {
        text-align: center !important;
        padding-top: 30px;
      }

      .text-center h2 img {
        height: 75px;
        width: auto;
        max-width: 100%;
        margin-bottom: 0;
      }

        table thead {
            position: absolute;
            visibility: hidden;
        }
        table tr {
            border-bottom: 0;
            flex-direction: row;
            flex-wrap: wrap;
            margin-bottom: 0;
        }
        table td {
            border-bottom: 1px solid #d2d2d7;
            margin: 0;
            position: relative;
            width: 80%;
        }
        table td span {
        }

    }

/*--------------------------------------------------------------
# Service Details Section
--------------------------------------------------------------

.service-details-container {
  margin: 0;
  padding:0;
}
.service-details .services-list {
  background-color: var(--contrast-color);
  padding: 0;
  margin-right: 50px;
  margin-bottom: 30px;
}


.service-details .services-list a {
  display: block;
  line-height: 1;
  padding: 2px 0 16px 15px;
  margin: 20px 0;
  font-size: 20px;
  font-weight: 700;
  color: color-mix(in srgb, var(--default-color), transparent 20%);
  transition: 0.3s;
  border-bottom: 1px solid color-mix(in srgb, var(--default-color), transparent 85%);
}

.service-details .services-list a.active {
  color: var(--accent-color);
  font-weight: 700;
  border-color: var(--default-color), transparent 85%);
}

.service-details .services-list a:hover {
  color: var(--accent-color);
  border-color: var(--default-color), transparent 85%);
}*/

.service-details .services-img {
  width: 100%;

}

.borderbottom {
  width: 90%;
  border-bottom:  1px dotted #d2d2d7;
  padding-bottom: 8px;
}
.service-details h3 {
  font-size: 36px;
  font-weight: 700;
}

.service-details h4 {
  font-size: 20px;
  font-weight: 700;
}

.service-details p {
  margin-top: 40px;
  font-size: 20px;
  line-height: 2;
}
.service-details span {
  margin-top: 0px;
  font-size: 18px;
  line-height: 2;
}

.service-details ul {
  list-style: none;
  padding: 0;
  font-size: 15px;
}

.service-details ul li {
  padding: 5px 0;
  display: flex;
  align-items: center;
}

.service-details ul i {
  font-size: 20px;
  margin-right: 8px;
  color: var(--accent-color);
}

.pagemargin {
  padding-bottom: 3rem !important;
}

.textbar {
  display: inline;
  border-bottom: 4px solid #12cc12;
  padding-bottom: 15px;
  padding-left: 0px;
  padding-right: 0px;
}

.containerbox {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  gap: 0;
  flex-wrap: nowrap;
}

.sectionin img {
  max-width: 100%;
  height: auto;
  display: block;
}

.pdtop {
  padding-top: 50px;
}

.pagemargin-com {
  padding-bottom: 3rem !important;

}

/* 반응형 처리 */
@media (max-width: 768px) {
  .containerbox {
    flex-direction: column;
    align-items: center;
  }

  .pagemargin {
    padding-bottom: 2rem !important;
    }

  .pagemargin p{
    font-size: 16px;
  }

  .pagemargin-com {
    padding-bottom: 2rem !important;
    padding-top: 2rem !important;
  }
}
